Bug 76090 - XEmacs needs to use resource file XEmacs, not Emacs
XEmacs needs to use resource file XEmacs, not Emacs
Status: CLOSED DEFERRED
Product: Red Hat Linux
Classification: Retired
Component: xemacs (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-16 15:23 EDT by Nakai
Modified: 2015-01-07 19:01 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-16 00:42:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
The patch (482 bytes, patch)
2002-10-16 15:24 EDT, Nakai
no flags Details | Diff

  None (edit)
Description Nakai 2002-10-16 15:23:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; ja-JP; rv:1.0.1) Gecko/20020830

Description of problem:
Currently XEmacs resource file uses
/usr/X11R6/lib/X11/*/app-defaults/Emacs, but it should
use /usr/X11R6/lib/X11/*/app-defaults/XEmacs to avoid to confuse
with Emacs resource files.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Run xemacs
2. It reads Emacs file.
3.
	

Actual Results:  It reads Emacs file.

Expected Results:  It should read XEmacs file.

Additional info:
Comment 1 Nakai 2002-10-16 15:24:12 EDT
Created attachment 80707 [details]
The patch
Comment 2 Jens Petersen 2002-10-16 21:21:40 EDT
I'll try to discuss this upstream, but in the past
this idea has not been popular if my memory serves
me correctly. However I don't think we should do this
unilaterally without some concensus from upstream.
Comment 3 Jens Petersen 2003-10-17 08:41:38 EDT
All the XEmacs resource files have been moved to
datadir/xemacs/mule-packages/etc/app-defaults/ in
xemacs-sumo.
Comment 4 Jens Petersen 2003-12-16 00:42:26 EST
One problem with this is that it affects users' personal X
resources, and perhaps vice-versa: using XEmacs instead of
Emacs may mean the system or personal resources getting ignored,
I think.  So I'm not keen on this change, I'm afraid.

From the manual:
| Starting with XEmacs 21, XEmacs uses the class `XEmacs' if
| it finds any XEmacs resources in the resource database when
| the X connection is initialized.  Otherwise, it will use the
| class `Emacs' for backwards compatibility.

Note You need to log in before you can comment on or make changes to this bug.